#ifndef RAWDISKUNIX_H
#define RAWDISKUNIX_H

/*
   RawDiskUnix - direct drive access for Unix

   Copyright (C) 2006-2008 Matthias Reichl <hias@horus.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include "RawDisk.h"

class RawDiskUnix : public RawDisk {
public:
	RawDiskUnix(const char* filename);
	virtual ~RawDiskUnix();

	virtual bool ReadBlock(unsigned int sector, unsigned char* buf);
	virtual bool WriteBlock(unsigned int sector, const unsigned char* buf);

	virtual unsigned int GetDiskSizeInSectors() const;

private:
	bool SeekToSector(unsigned int sector);

	typedef RawDisk super;
	FILE* fFile;
};

#endif
